Bug 482807 (libfli) - Review Request: libfli - Library for FLI CCD Camera & Filter Wheels
Summary: Review Request: libfli - Library for FLI CCD Camera & Filter Wheels
Keywords:
Status: CLOSED NEXTRELEASE
Alias: libfli
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jaroslav Reznik
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 478539 libindi
TreeView+ depends on / blocked
 
Reported: 2009-01-28 10:27 UTC by Sergio Pascual
Modified: 2014-12-01 21:01 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-02-06 15:18:49 UTC
jreznik: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Sergio Pascual 2009-01-28 10:27:25 UTC
Spec URL: http://sergiopr.fedorapeople.org/libfli.spec
SRPM URL: http://sergiopr.fedorapeople.org/libfli-1.7-1.src.rpm
Description: Finger Lakes Instrument library is used by applications to control FLI line of CCDs and Filter wheels

Comment 1 Sven Lankes 2009-01-28 11:11:20 UTC
From IRC:

11:51 < killefiz> Kevin_Kofler: from the libfli-spec - what does %cmake -DLIB_POSTFIX=64
11:51 < killefiz> do? Will that hardcode lib64 as library path?
11:52 <@Kevin_Kofler> I guess so. Looks like this is broken indeed.
11:53 <@Kevin_Kofler> This needs to be conditional on %if "%{?_lib}" == "lib64"
11:54 <@Kevin_Kofler> But ideally the upstream CMake machinery should be fixed to use the standard LIB_SUFFIX which is already set by our %cmake macro instead of the nonstandard LIB_POSTFIX.
11:54 <@Kevin_Kofler> (upstream = libfli in this context)

Comment 2 Sergio Pascual 2009-01-28 12:57:27 UTC
My fault, I didn't check it in i386. I have patched the cmake file to use LIB_SUFFIX instead of LIB_POSTFIX

Spec URL: http://sergiopr.fedorapeople.org/libfli.spec
SRPM URL: http://sergiopr.fedorapeople.org/libfli-1.7-2.src.rpm

Comment 3 Jaroslav Reznik 2009-02-04 11:45:23 UTC
rpmlint output:

libfli.src: E: description-line-too-long Finger Lakes Instrument library is used by applications to control FLI line of CCDs and Filter wheels
- wrap long line

libfli-devel.x86_64: W: no-documentation
- ok, no devel documentation

Comment 4 Jaroslav Reznik 2009-02-04 13:02:56 UTC
Package Review
==============

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
 [x] Package meets the Packaging Guidelines.
 [x] Package successfully compiles and builds into binary rpms on at least one
supported architecture.
     Tested on: f10 / x86_64
 [!] Rpmlint output: not clean, see previous comment
 [-] Package is not relocatable.
 [x] Buildroot is correct
 [x] Package is licensed with an open-source compatible license and meets other
legal requirements as defined in the legal section of Packaging Guidelines.

 [x] License field in the package spec file matches the actual license.
     License type: BSD
     - LICENSE.BSD is 2 clause new BSD license with no advertising but sources
       are under 3 clause BSD license. I think it's OK for review and it's not
       blocker but ask upstream to match it.

 [x] If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package is included in %doc.
 [x] Spec file is legible and written in American English.

 [!] Sources used to build the package matches the upstream source, as provided
in the spec URL.
     - md5 sums do not match!

 [x] All build dependencies are listed in BuildRequires, except for any that are
listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [x] ldconfig called in %post and %postun if required.
 [-] Package must own all directories that it creates.
 [-] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -rf %{buildroot} (or
$RPM_BUILD_ROOT).

 [!] Package consistently uses macros.
     - Please do not use %{__ macros and use only <command>, I talked to RPM
       developer and FESCo member and they do not like it. But this is not
       a blocker, feel free to select one consistent style.

 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [x] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [x] Development .so files in -devel subpackage, if present.
 [x] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI
application.
 [x] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains
translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in koji.
     Tested on: koji dist-f11
      - http://koji.fedoraproject.org/koji/taskinfo?taskID=1103679
 [x] Package should compile and build into binary rpms on all supported
architectures.
     Tested on: koji dist-f11
 [?] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files are correct.
 [-] File based requires are sane.

=== SUMMARY ===
- Clean rpmlint output
- Ask upstream about licenses
- Correct source tarball
- Check macros

Comment 5 Sergio Pascual 2009-02-05 14:39:32 UTC
This new rpm has all the problems fixed. I have opened a bug upstream with the mismatched licenses.

Spec URL: http://sergiopr.fedorapeople.org/libfli.spec
SRPM URL: http://sergiopr.fedorapeople.org/libfli-1.7-3.src.rpm

Comment 6 Jaroslav Reznik 2009-02-05 14:55:59 UTC
rpmlint output clean - OK
licenses reported upstream - OK
md5sum match - OK
macros - OK

for me it's OK and as it's blocker for kde42 release I think it's not a problem to approve it now, we can deal with license issue later

APPROVED

Comment 7 Sergio Pascual 2009-02-05 15:31:57 UTC
New Package CVS Request
=======================
Package Name: libfli
Short Description: Library for FLI CCD Camera & Filter Wheels
Owners: sergiopr
Branches: F-10 F-9
InitialCC:

Comment 8 Kevin Fenzi 2009-02-06 02:43:08 UTC
cvs done.

Comment 9 Kevin Kofler 2009-02-06 12:36:42 UTC
Can you please add a disttag (i.e. %{?dist})? As we'll also need this pushed out to F9 and F10, it will make managing the Release tag much easier.

Comment 10 Jaroslav Reznik 2009-02-06 13:05:35 UTC
Ops, good point, I missed it.

Comment 11 Sergio Pascual 2009-02-06 15:18:49 UTC
I have added the tag and build the package in F-10 and F-9. I will update libindi ASAP

Comment 12 Jaroslav Reznik 2009-02-06 15:29:33 UTC
Ok, thanks.

Comment 13 Christian Dersch 2014-12-01 14:56:24 UTC
Package Change Request
======================
Package Name: libfli
New Branches: epel7
Owners: lupinix
InitialCC: 

We need this package for libindi in EPEL7.

Comment 14 Gwyn Ciesla 2014-12-01 15:43:42 UTC
Comments from the primary maintainers?

Comment 15 Sergio Pascual 2014-12-01 20:45:02 UTC
Yes, please, go ahead,  I'm not interested in this right now

Comment 16 Gwyn Ciesla 2014-12-01 21:01:10 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.